package cn.com.ty.lift.ud.payment.mapper;

import java.util.List;

import cn.com.ty.lift.ud.payment.controller.query.UserWithdrawQuery;
import cn.com.ty.lift.ud.payment.mapper.entity.UserWithdrawEntity;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.com.ty.lift.ud.chat.controller.model.ChatSessionReq;

/**
 * 用户提现申请 -Repository
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface UserWithdrawMapper extends BaseMapper<UserWithdrawEntity> {
    
    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserWithdrawEntity record);

    UserWithdrawEntity selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserWithdrawEntity record);

    int updateByPrimaryKey(UserWithdrawEntity record);
    
    List<UserWithdrawEntity> selectByQuery(@Param("ew") Wrapper wrapper, @Param("page") UserWithdrawQuery query);

    int countByQuery(@Param("ew") Wrapper wrapper);
    
    int deleteUpdate(@Param("req") ChatSessionReq req);
}
